#!/usr/bin/perl

#	Build a hash given user input.
use strict;

my %info =  ();

my $name;
my $age;

print "Enter a name: ";
chomp($name = <STDIN>);
while ($name ne "")
{
	if ($info{$name})
	{
		print("Note: $name is already in our list, and is $info{$name} years old.\n");
	}
	print("What age is $name? ");
	chomp($age = <STDIN>);

	$info{$name} = $age;
	print("Enter next name: ");
	chomp($name = <STDIN>);
}

print "-" x 40, "\n";

foreach $name (sort keys %info)
{
	print("$name is $info{$name} years old.\n");
}

