#!/usr/bin/perl

use strict;

my %capital = ( CA => "Sacramento", NY => "Albany", 
	DE => "Dover", IL => "Springfield", NV => "Carson City",
	AK => "Juneau");

my %state = reverse(%capital);
	
my $input;

print "Enter a state abbreviation or capital: ";
chomp($input = <STDIN>);

while ($input ne "")
{
	if (length($input) == 2)
	{
		$input = uc($input);
	
		if ($capital{$input})
		{
			print("The capital of $input is $capital{$input}.\n");
		}
		else
		{
			print("I don't have the capital of $input in my list.\n");
		}
	}
	else
	{
		if ($state{$input})
		{
			print("$input is the capital of $state{$input}.\n");
		}
		else
		{
			print("I don't have $input in my list of capitals.\n");
		}
	}
	print "Next state abbreviation or capital: ";
	chomp($input = <STDIN>);
}
